package com.example.Vezba.model;

import com.sun.istack.NotNull;
import org.springframework.lang.NonNull;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Id;
import java.io.Serializable;


@Embeddable
public class PodOgl implements Serializable {
    private static final long serialVersionUID = 1L;
    @NotNull
    @Column(name="id_oglasa")
    private Integer idOglasa;

    @NotNull
    @Column(name="id_podkategorije")
    private Integer idPodkategorije;

    public Integer getIdOglasa() {
        return idOglasa;
    }

    public void setIdOglasa(Integer id_oglasa) {
        this.idOglasa = id_oglasa;
    }

    public Integer getIdPodkategorije() {
        return idPodkategorije;
    }

    public void setIdPodkategorije(Integer id_podkategorije) {
        this.idPodkategorije = id_podkategorije;
    }
}
